--- old/usr/src/cmd/mandoc/lib.in	Sun Jul 27 18:01:19 2014
+++ new/usr/src/cmd/mandoc/lib.in	Sun Jul 27 18:01:19 2014
@@ -10,9 +10,71 @@
  */
 
 /*
- * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 /*
- * TBD
+ * Note that we don't document "legacy" libraries that have moved into
+ * libc.  While there will be section 3lib man pages for them, they
+ * won't be referenced in other man pages.
  */
+LINE("libadm",		"General Administrative Library (libadm, \\-ladm)")
+LINE("libbsdmalloc",	"BSD Memory Allocation Library (libbsdmalloc, -lbsdmalloc)")
+LINE("libbsm",		"Security and Auditing Library (libbsm, \\lbsm)")
+LINE("libc",		"Standard C Library (libc, \\-lc)")
+LINE("libc_db",		"Threads Debugging Library (libc_db, \\-lc_db)")
+LINE("libcfgadm",	"Configuration Adminstration Library (libcfgadm, \\-lcfgadm)")
+LINE("libcommputil",	"Communication Protocol Parser Utilities Library (libpcommutil, \\-lcommputil)")
+LINE("libcontract",	"Contract Management Library (libcontract, \\-lcontract)")
+LINE("libcpc",		"CPU Performance Counters Library (libcpc, \\-lcpc)")
+LINE("libcurses",	"Curses Library (libcurses, \\-lcurses)")
+LINE("libdat",		"Direct Access Transport Library (libdat, \\-ldat)")
+LINE("libdevid",	"Device ID Library (libdevid, \\-ldevid)")
+LINE("libdevinfo",	"Device Information Library (libdevinfo, \\-ldevinfo)")
+LINE("libdlpi",		"Data Link Provider Interface (DLPI) Library (libdlp, \\-ldlpi)")
+LINE("libdns_sd",	"DNS Service Discovery Library (libdns_sd, \\-ldns_sd)")
+LINE("libelf",		"ELF Access Library (libelf, \\-lelf)")
+LINE("libexacct",	"Extended Accounting File Access Library (libexacct, \\-lexacct)")
+LINE("libfcoe",		"FCoE Port Management Library (libfcoe, \\-lfcoe)")
+LINE("libfstyp",	"File System Type Identification Library (libfstyp, \\-lfstyp \\-lnvpair)")
+LINE("libgen",		"String Pattern Matching Library (libgen, \\-lgen)")
+LINE("libgss",		"Generic Security Services Library (libgss, \\-lgss)")
+LINE("libiscsit",	"iSCSI Management Library (libiscsit, \\-liscsit)")
+LINE("libkstat",	"Kernel Statistics Library (libkstat, \\-lkstat)")
+LINE("libkvm",		"Kernel VM Library (libkvm, \\-lkvm)")
+LINE("libldap",		"LDAP Library (libldap, \\-lldap)")
+LINE("liblgrp",		"Locality Group Library (liblgrp, -llgrp)")
+LINE("libm",		"Mathematical Library (libm, -lm)")
+LINE("libmail",		"User Mailbox Library (libmail, -lmail)")
+LINE("libmalloc",	"Memory Allocation Library (libmalloc, -lmalloc)")
+LINE("libmd",		"Message Digest Library (libmd, -lmd)")
+LINE("libmp",		"Multiple Precision Library (libmp, -lmp)")
+LINE("libmpapi",	"Common Multipath Management Library (libmpapi, -lMPAPI)")
+LINE("libnsl",		"Network Services Library (libnsl, \\-lnsl)")
+LINE("libnvpair",	"Name-Value Pair Library (libnvpair, \\-lnvpair)")
+LINE("libpam",		"PAM (Pluggable Authentication Module) Library (libpam, \\-lpam)")
+LINE("libpicl",		"PICL Library (libpicl, \\-lpicl)")
+LINE("libpicltree",	"PICL Plug-In Library (libpicltree, \\-lpicltree)")
+LINE("libpkcs11",	"PKCS#11 Cryptographic Framework Library (libpkcs11, \\-lpkcs11)")
+LINE("libpool",		"Pool Configuration Manipulation Library (libpool, \\-lpool)")
+LINE("libproc",		"Process Control Library (libproc, \\-lproc)")
+LINE("libproject",	"Project Database Access Library (libproject, \\-lproject)")
+LINE("libresolv",	"Resolver Library (libresolv, \\-lresolv \\-lsocket \\-lnsl)")
+LINE("librpc",		"RPC Service Library (librpcsvc, \\-lrpc)")
+LINE("librsm",		"Remote Shared Memory Interface Library (librsm, \\-lrsm)")
+LINE("libsasl",		"Simple Authentication and Security Library (libsasl, \\-lsasl)")
+LINE("libscf",		"Service Configuration Facility Library (libscf, \\-lscf)")
+LINE("libsec",		"File Access Control Library (libsec, \\-lsec)")
+LINE("libsecdb",	"Security Attributes Database Library (libsecdb, \\-lsecdb)")
+LINE("libsip",		"Session Initiation Protocol Library (libsip, \\-lsip)")
+LINE("libslp",		"Service Location Protocol Library (libslp, \\-lslp)")
+LINE("libsocket",	"Sockets Library (libsocket, \\-lsocket)")
+LINE("libstmf",		"SCSI Target Mode Framework Library (libstmf, \\-lstmf)")
+LINE("libsysevet",	"System Event Inteface Library (libsysevent, \\-lsysevent)")
+LINE("libtecla",	"Interactive Command Line Input Library (libtecla, \\-ltecla)")
+LINE("libtnfctl",	"TNF Probe Control Library (libtnfctl, \\-ltnfctl)")
+LINE("libtsol",		"Trusted Extensions Library (libtsol, \\-ltsol)")
+LINE("libuuid",		"UUID Library (libuuid, \\-luuid)")
+LINE("libvolmgt",	"Volume Management Library (libvolmgt, \\-lvolmgt)")
+LINE("libxcurses",	"X/Open Curses Library (libxcurses, \\-lxcurses)")
+LINE("libxnet",		"X/Open Networking Library (libxnet, \\-lxnet)")
--- old/usr/src/cmd/mandoc/mdoc.h	Sun Jul 27 18:01:19 2014
+++ new/usr/src/cmd/mandoc/mdoc.h	Sun Jul 27 18:01:19 2014
@@ -207,6 +207,10 @@
 	SEC_DIAGNOSTICS, /* DIAGNOSTICS */
 	SEC_COMPATIBILITY, /* COMPATIBILITY */
 	SEC_ERRORS, /* ERRORS */
+	SEC_ARCHITECTURE,
+	SEC_CODE_SET_INDEPENDENCE,
+	SEC_INTERFACE_STABILITY,
+	SEC_MULTITHREADING_LEVEL,
 	SEC_SEE_ALSO, /* SEE ALSO */
 	SEC_STANDARDS, /* STANDARDS */
 	SEC_HISTORY, /* HISTORY */
--- old/usr/src/cmd/mandoc/mdoc_validate.c	Sun Jul 27 18:01:19 2014
+++ new/usr/src/cmd/mandoc/mdoc_validate.c	Sun Jul 27 18:01:19 2014
@@ -337,6 +337,10 @@
 	"DIAGNOSTICS",
 	"COMPATIBILITY",
 	"ERRORS",
+	"ARCHITECTURE",
+	"CODE SET INDEPENDENCE",
+	"INTERFACE STABILITY",
+	"MULTITHREADING LEVEL",
 	"SEE ALSO",
 	"STANDARDS",
 	"HISTORY",
--- old/usr/src/cmd/mandoc/msec.in	Sun Jul 27 18:01:19 2014
+++ new/usr/src/cmd/mandoc/msec.in	Sun Jul 27 18:01:19 2014
@@ -14,231 +14,96 @@
  */
 
 LINE("1",		"User Commands")
-LINE("1B",		"illumos/BSD Compatibility Package Commands")
-LINE("1b",		"illumos/BSD Compatibility Package Commands")
+LINE("1B",		"BSD Compatibility Package Commands")
 LINE("1C",		"Communication Commands")
-LINE("1c",		"Communication Commands")
-LINE("1F",		"FMLI Commands")
-LINE("1f",		"FMLI Commands")
-LINE("1G",		"Graphics and CAD Commands")
-LINE("1g",		"Graphics and CAD Commands")
 LINE("1HAS",		"User Commands")
-LINE("1has",		"User Commands")
 LINE("1M",		"Maintenance Commands")
-LINE("1m",		"Maintenance Commands")
 LINE("1S",		"illumos Specific Commands")
-LINE("1s",		"illumos Specific Commands")
 LINE("2",		"System Calls")
 LINE("3",		"Introduction to Library Functions")
-LINE("3AIO",		"Asynchronous I/O Library Functions")
-LINE("3aio",		"Asynchronous I/O Library Functions")
+LINE("3BSDMALLOC",	"BSD Memory Allocation Library")
 LINE("3BSM",		"Security and Auditing Library Functions")
-LINE("3bsm",		"Security and Auditing Library Functions")
 LINE("3C",		"Standard C Library Functions")
-LINE("3c",		"Standard C Library Functions")
+LINE("3C++",		"C++ Library Functions")
 LINE("3C_DB",		"Threads Debugging Library Functions")
-LINE("3C_db",		"Threads Debugging Library Functions")
 LINE("3CFGADM",		"Configuration Administration Library Functions")
-LINE("3cfgadm",		"Configuration Administration Library Functions")
-LINE("3COMPPUTIL",	"Communication Protocol Parser Utilities Library Functions")
-LINE("3compputil",	"Communication Protocol Parser Utilities Library Functions")
+LINE("3COMMPUTIL",	"Communication Protocol Parser Utilities Library Functions")
 LINE("3CONTRACT",	"Contract Management Library Functions")
-LINE("3contract",	"Contract Management Library Functions")
 LINE("3CPC",		"CPU Performance Counters Library Functions")
-LINE("3cpc",		"CPU Performance Counters Library Functions")
 LINE("3CURSES",		"Curses Library Functions")
-LINE("3curses",		"Curses Library Functions")
 LINE("3DAT",		"Direct Access Transport Library Functions")
-LINE("3dat",		"Direct Access Transport Library Functions")
 LINE("3DEVID",		"Device ID Library Functions")
-LINE("3devid",		"Device ID Library Functions")
 LINE("3DEVINFO",	"Device Information Library Functions")
-LINE("3devinfo",	"Device Information Library Functions")
-LINE("3DL",		"Dynamic Linking Library Functions")
-LINE("3dl",		"Dynamic Linking Library Functions")
 LINE("3DLPI",		"Data Link Provider Interface Library Functions")
-LINE("3dlpi",		"Data Link Provider Interface Library Functions")
-LINE("3DMI",		"DMI Library Functions")
-LINE("3dmi",		"DMI Library Functions")
 LINE("3DNS_SD",		"DNS Service Discovery Library Functions")
-LINE("3dns_sd",		"DNS Service Discovery Library Functions")
 LINE("3DOOR",		"Door Library Functions")
-LINE("3door",		"Door Library Functions")
 LINE("3ELF",		"ELF Library Functions")
-LINE("3elf",		"ELF Library Functions")
 LINE("3EXACCT",		"Extended Accounting File Access Library Functions")
-LINE("3exacct",		"Extended Accounting File Access Library Functions")
 LINE("3EXT",		"Extended Library Functions")
-LINE("3ext",		"Extended Library Functions")
 LINE("3FCOE",		"FCoE Port Management Library Functions")
-LINE("3fcoe",		"FCoE Port Management Library Functions")
 LINE("3FSTYP",		"File System Type Identification Library Functions")
-LINE("3fstyp",		"File System Type Identification Library Functions")
 LINE("3GEN",		"String Pattern-Matching Library Functions")
-LINE("3gen",		"String Pattern-Matching Library Functions")
 LINE("3GSS",		"Generic Security Services API Library Functions")
-LINE("3gss",		"Generic Security Services API Library Functions")
 LINE("3HEAD",		"Headers")
-LINE("3head",		"Headers")
 LINE("3ISCSIT",		"iSCSI Management Library Functions")
-LINE("3iscsit",		"iSCSI Management Library Functions")
 LINE("3KRB",		"Kerberos Library Functions")
-LINE("3krb",		"Kerberos Library Functions")
+LINE("3KRB5",		"MIT Kerberos 5 Library Functions")
 LINE("3KSTAT",		"Kernel Statistics Library Functions")
-LINE("3kstat",		"Kernel Statistics Library Functions")
 LINE("3KVM",		"Kernel VM Library Functions")
-LINE("3kvm",		"Kernel VM Library Functions")
 LINE("3LDAP",		"LDAP Library Functions")
-LINE("3ldap",		"LDAP Library Functions")
 LINE("3LGRP",		"Locality Group Library Functions")
-LINE("3lgrp",		"Locality Group Library Functions")
 LINE("3LIB",		"Interface Libraries")
-LINE("3lib",		"Interface Libraries")
-LINE("3LIBUCB",		"illumos/BSD Compatibility Interface Libraries")
-LINE("3libucb",		"illumos/BSD Compatibility Interface Libraries")
 LINE("3M",		"Mathematical Library Functions")
-LINE("3m",		"Mathematical Library Functions")
 LINE("3MAIL",		"User Mailbox Library Functions")
-LINE("3mail",		"User Mailbox Library Functions")
 LINE("3MALLOC",		"Memory Allocation Library Functions")
-LINE("3malloc",		"Memory Allocation Library Functions")
 LINE("3MP",		"Multiple Precision Library Functions")
-LINE("3mp",		"Multiple Precision Library Functions")
 LINE("3MPAPI",		"Common Multipath Management Library Functions")
-LINE("3mpapi",		"Common Multipath Management Library Functions")
 LINE("3NSL",		"Networking Services Library Functions")
-LINE("3nsl",		"Networking Services Library Functions")
 LINE("3NVPAIR",		"Name-value Pair Library Functions")
-LINE("3nvpair",		"Name-value Pair Library Functions")
 LINE("3PAM",		"PAM Library Functions")
-LINE("3pam",		"PAM Library Functions")
 LINE("3PAPI",		"PAPI Library Functions")
-LINE("3papi",		"PAPI Library Functions")
 LINE("3PERL",		"Perl Library Functions")
-LINE("3perl",		"Perl Library Functions")
 LINE("3PICL",		"PICL Library Functions")
-LINE("3picl",		"PICL Library Functions")
 LINE("3PICLTREE",	"PICL Plug-In Library Functions")
-LINE("3picltree",	"PICL Plug-In Library Functions")
-LINE("3PLOT",		"Graphics Interface Library Functions")
-LINE("3plot",		"Graphics Interface Library Functions")
 LINE("3POOL",		"Pool Configuration Manipulation Library Functions")
-LINE("3pool",		"Pool Configuration Manipulation Library Functions")
 LINE("3PROC",		"Process Control Library Functions")
-LINE("3proc",		"Process Control Library Functions")
 LINE("3PROJECT",	"Project Database Access Library Functions")
-LINE("3project",	"Project Database Access Library Functions")
 LINE("3RAC",		"Remote Asynchronous Calls Library Functions")
-LINE("3rac",		"Remote Asynchronous Calls Library Functions")
 LINE("3RESOLV",		"Resolver Library Functions")
-LINE("3resolv",		"Resolver Library Functions")
 LINE("3RPC",		"RPC Library Functions")
-LINE("3rpc",		"RPC Library Functions")
 LINE("3RSM",		"Remote Shared Memory Library Functions")
-LINE("3rsm",		"Remote Shared Memory Library Functions")
 LINE("3RT",		"Realtime Library Functions")
-LINE("3rt",		"Realtime Library Functions")
 LINE("3SASL",		"Simple Authentication Security Layer Library Functions")
-LINE("3sasl",		"Simple Authentication Security Layer Library Functions")
 LINE("3SCF",		"Service Configuration Facility Library Functions")
-LINE("3scf",		"Service Configuration Facility Library Functions")
-LINE("3SCHED",		"LWP Scheduling Library Functions")
-LINE("3sched",		"LWP Scheduling Library Functions")
 LINE("3SEC",		"File Access Control Library Functions")
-LINE("3sec",		"File Access Control Library Functions")
 LINE("3SECDB",		"Security Attributes Database Library Functions")
-LINE("3secdb",		"Security Attributes Database Library Functions")
 LINE("3SIP",		"Session Initiation Protocol Library Functions")
-LINE("3sip",		"Session Initiation Protocol Library Functions")
 LINE("3SLP",		"Service Location Protocol Library Functions")
-LINE("3slp",		"Service Location Protocol Library Functions")
-LINE("3SNMP",		"SNMP Library Functions")
-LINE("3snmp",		"SNMP Library Functions")
 LINE("3SOCKET",		"Sockets Library Functions")
-LINE("3socket",		"Sockets Library Functions")
 LINE("3STMF",		"SCSI Target Mode Framework Library Functions")
-LINE("3stmf",		"SCSI Target Mode Framework Library Functions")
 LINE("3SYSEVENT",	"System Event Library Functions")
-LINE("3sysevent",	"System Event Library Functions")
 LINE("3TECLA",		"Interactive Command-line Input Library Functions")
-LINE("3tecla",		"Interactive Command-line Input Library Functions")
-LINE("3THR",		"Threads Library Functions")
-LINE("3thr",		"Threads Library Functions")
 LINE("3TNF",		"TNF Library Functions")
-LINE("3tnf",		"TNF Library Functions")
 LINE("3TSOL",		"Trusted Extensions Library Functions")
-LINE("3tsol",		"Trusted Extensions Library Functions")
-LINE("3UCB",		"illumos/BSD Compatibility Library Functions")
-LINE("3ucb",		"illumos/BSD Compatibility Library Functions")
 LINE("3UUID",		"Universally Unique Identifier Library Functions")
-LINE("3uuid",		"Universally Unique Identifier Library Functions")
 LINE("3VOLMGT",		"Volume Management Library Functions")
-LINE("3volmgt",		"Volume Management Library Functions")
 LINE("3XCURSES",	"X/Open Curses Library Functions")
-LINE("3xcurses",	"X/Open Curses Library Functions")
-LINE("3XFN",		"XFN Interface Library Functions")
-LINE("3xfn",		"XFN Interface Library Functions")
 LINE("3XNET",		"X/Open Networking Services Library Functions")
-LINE("3xnet",		"X/Open Networking Services Library Functions")
-LINE("3B",		"illumos/BSD Compatibility Library Functions")
-LINE("3b",		"illumos/BSD Compatibility Library Functions")
-LINE("3E",		"C Library Functions")
-LINE("3e",		"C Library Functions")
 LINE("3F",		"Fortran Library Routines")
-LINE("3f",		"Fortran Library Routines")
-LINE("3G",		"C Library Functions")
-LINE("3g",		"C Library Functions")
-LINE("3K",		"Kernel VM Library Functions")
-LINE("3k",		"Kernel VM Library Functions")
-LINE("3L",		"Lightweight Processes Library")
-LINE("3l",		"Lightweight Processes Library")
-LINE("3N",		"Network Functions")
-LINE("3n",		"Network Functions")
-LINE("3R",		"Realtime Library")
-LINE("3r",		"Realtime Library")
-LINE("3S",		"Standard I/O Functions")
-LINE("3s",		"Standard I/O Functions")
-LINE("3T",		"Threads Library")
-LINE("3t",		"Threads Library")
-LINE("3W",		"C Library Functions")
-LINE("3w",		"C Library Functions")
 LINE("3X",		"Miscellaneous Library Functions")
-LINE("3x",		"Miscellaneous Library Functions")
-LINE("3XC",		"X/Open Curses Library Functions")
-LINE("3xc",		"X/Open Curses Library Functions")
-LINE("3XN",		"X/Open Networking Services Library Functions")
-LINE("3xn",		"X/Open Networking Services Library Functions")
 LINE("4",		"File Formats")
-LINE("4B",		"illumos/BSD Compatibility Package File Formats")
-LINE("4b",		"illumos/BSD Compatibility Package File Formats")
 LINE("5",		"Standards, Environments, and Macros")
 LINE("6",		"Games and Demos")
 LINE("7",		"Device and Network Interfaces")
-LINE("7B",		"illumos/BSD Compatibility Special Files")
-LINE("7b",		"illumos/BSD Compatibility Special Files")
 LINE("7D",		"Devices")
-LINE("7d",		"Devices")
 LINE("7FS",		"File Systems")
-LINE("7fs",		"File Systems")
 LINE("7I",		"Ioctl Requests")
-LINE("7i",		"Ioctl Requests")
 LINE("7IPP",		"IP Quality of Service Modules")
-LINE("7ipp",		"IP Quality of Service Modules")
 LINE("7M",		"STREAMS Modules")
-LINE("7m",		"STREAMS Modules")
 LINE("7P",		"Protocols")
-LINE("7p",		"Protocols")
 LINE("8",		"Maintenance Procedures")
-LINE("8C",		"Maintenance Procedures")
-LINE("8c",		"Maintenance Procedures")
-LINE("8S",		"Maintenance Procedures")
-LINE("8s",		"Maintenance Procedures")
 LINE("9",		"Device Driver Interfaces")
 LINE("9E",		"Driver Entry Points")
-LINE("9e",		"Driver Entry Points")
 LINE("9F",		"Kernel Functions for Drivers")
-LINE("9f",		"Kernel Functions for Drivers")
 LINE("9P",		"Kernel Properties for Drivers")
-LINE("9p",		"Kernel Properties for Drivers")
 LINE("9S",		"Data Structures for Drivers")
-LINE("9s",		"Data Structures for Drivers")
--- old/usr/src/head/dirent.h	Sun Jul 27 18:01:19 2014
+++ new/usr/src/head/dirent.h	Sun Jul 27 18:01:19 2014
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
+
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -30,8 +34,6 @@
 #ifndef _DIRENT_H
 #define	_DIRENT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6.1.5   */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -69,8 +71,6 @@
 
 #endif /* !defined(__XOPEN_OR_POSIX) */
 
-#if defined(__STDC__)
-
 /* large file compilation environment setup */
 #if !defined(_LP64) && _FILE_OFFSET_BITS == 64
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -98,19 +98,21 @@
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
 extern DIR		*opendir(const char *);
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
+#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG7) || \
 	defined(_ATFILE_SOURCE)
 extern DIR		*fdopendir(int);
 extern int		dirfd(DIR *);
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern int		scandir(const char *, struct dirent *(*[]),
+
+#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG7)
+extern int		scandir(const char *, struct dirent ***,
 				int (*)(const struct dirent *),
 				int (*)(const struct dirent **,
 					const struct dirent **));
 extern int		alphasort(const struct dirent **,
 					const struct dirent **);
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) */
+#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
+
 extern struct dirent	*readdir(DIR *);
 #if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || \
 	defined(_XOPEN_SOURCE)
@@ -125,7 +127,7 @@
 	    !defined(__PRAGMA_REDEFINE_EXTNAME))
 extern struct dirent64	*readdir64(DIR *);
 #if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX)
-extern int	scandir64(const char *, struct dirent64 *(*[]),
+extern int	scandir64(const char *, struct dirent64 ***,
 			int (*)(const struct dirent64 *),
 			int (*)(const struct dirent64 **,
 				const struct dirent64 **));
@@ -133,33 +135,8 @@
 #endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) */
 #endif
 
-#else
-
-extern DIR		*opendir();
-#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || \
-	defined(_ATFILE_SOURCE)
-extern DIR		*fdopendir();
-extern int		dirfd();
-#endif /* defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ... */
-extern struct dirent	*readdir();
 #if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || \
 	defined(_XOPEN_SOURCE)
-extern long		telldir();
-extern void		seekdir();
-#endif /* defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) ... */
-extern void		rewinddir();
-extern int		closedir();
-
-/* transitional large file interface */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern struct dirent64	*readdir64();
-#endif
-
-#endif
-
-#if defined(__EXTENSIONS__) || !defined(_POSIX_C_SOURCE) || \
-	defined(_XOPEN_SOURCE)
 #define	rewinddir(dirp)	seekdir(dirp, 0L)
 #endif
 
@@ -182,8 +159,6 @@
 	!defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE - 0 >= 199506L) || \
 	defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	!defined(_LP64) && _FILE_OFFSET_BITS == 32
 
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
@@ -243,66 +218,6 @@
 	struct dirent64 **_RESTRICT_KYWD);
 #endif
 
-#else  /* __STDC__ */
-
-#if	!defined(_LP64) && _FILE_OFFSET_BITS == 32
-
-#if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname readdir_r __posix_readdir_r
-extern int readdir_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_readdir_r();
-
-#ifdef	__lint
-#define	readdir_r __posix_readdir_r
-#else	/* !__lint */
-
-static int
-readdir_r(DIR *_RESTRICT_KYWD __dp, struct dirent *_RESTRICT_KYWD __ent,
-	struct dirent **_RESTRICT_KYWD __res)
-{
-	return (__posix_readdir_r(__dp, __ent, __res));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern struct dirent *readdir_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#else	/* !_LP64 && _FILE_OFFSET_BITS == 32 */
-
-#if defined(_LP64)
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname readdir64_r	readdir_r
-#else
-#define	readdir64_r	readdir
-#endif
-#else	/* _LP64 */
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname readdir_r readdir64_r
-#else
-#define	readdir_r readdir64_r
-#endif
-#endif	/* _LP64 */
-extern int	readdir_r();
-
-#endif	/* !_LP64 && _FILE_OFFSET_BITS == 32 */
-
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-/* transitional large file interface */
-extern int 	readdir64_r();
-#endif
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || defined(_REENTRANT)... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/iso/wchar_iso.h	Sun Jul 27 18:01:20 2014
+++ new/usr/src/head/iso/wchar_iso.h	Sun Jul 27 18:01:20 2014
@@ -279,7 +279,7 @@
 
 #if (!defined(_MSE_INT_H))
 #if defined(_XPG4) && !defined(_XPG5) /* XPG4 or XPG4v2 */
-extern wchar_t *wcstok(wchar_t *, const wchar_t *);
+extern wchar_t *wcstok(wchar_t *_RESTRICT_KYWD, const wchar_t *_RESTRICT_KYWD);
 extern size_t wcsftime(wchar_t *, size_t, const char *, const struct tm *);
 #else	/* XPG4 or XPG4v2 */
 #ifdef __PRAGMA_REDEFINE_EXTNAME
--- old/usr/src/head/netdb.h	Sun Jul 27 18:01:20 2014
+++ new/usr/src/head/netdb.h	Sun Jul 27 18:01:20 2014
@@ -229,7 +229,6 @@
 	char	*s_proto;	/* protocol to use */
 };
 
-#ifdef	__STDC__
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 struct hostent	*gethostbyname_r
 	(const char *, struct hostent *, char *, int, int *h_errnop);
@@ -262,7 +261,9 @@
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
 /* Old interfaces that return a pointer to a static area;  MT-unsafe */
+#ifndef _STRICT_XPG7
 struct hostent	*gethostbyname(const char *);
+#endif
 struct hostent	*gethostent(void);
 struct netent	*getnetbyaddr(in_addr_t, int);
 struct netent	*getnetbyname(const char *);
@@ -274,12 +275,17 @@
 struct servent	*getservbyport(int, const char *);
 struct servent	*getservent(void);
 
-/* gethostbyaddr() second argument is a size_t only in unix95/unix98 */
+/*
+ * gethostbyaddr() second argument is a size_t only in unix95/unix98,
+ * removed in XPG issue 7
+ */
+#if !defined(_STRICT_XPG7)
 #if !defined(_XPG4_2) || defined(_XPG6) || defined(__EXTENSIONS__)
 struct hostent	*gethostbyaddr(const void *, socklen_t, int);
 #else
 struct hostent	*gethostbyaddr(const void *, size_t, int);
 #endif /* !defined(_XPG4_2) || defined(_XPG6) || defined(__EXTENSIONS__) */
+#endif	/* !defined(_STRICT_XPG7) */
 
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 int endhostent(void);
@@ -353,95 +359,18 @@
 /* END IPsec algorithm prototype definitions */
 
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-#else	/* __STDC__ */
-struct hostent	*gethostbyname_r();
-struct hostent	*gethostbyaddr_r();
-struct hostent	*getipnodebyname();
-struct hostent	*getipnodebyaddr();
-void		 freehostent();
-struct hostent	*gethostent_r();
-struct servent	*getservbyname_r();
-struct servent	*getservbyport_r();
-struct servent	*getservent_r();
-struct netent	*getnetbyname_r();
-struct netent	*getnetbyaddr_r();
-struct netent	*getnetent_r();
-struct protoent	*getprotobyname_r();
-struct protoent	*getprotobynumber_r();
-struct protoent	*getprotoent_r();
-int		 getnetgrent_r();
-int		 innetgr();
 
-/* Old interfaces that return a pointer to a static area;  MT-unsafe */
-struct hostent	*gethostbyname();
-struct hostent	*gethostbyaddr();
-struct hostent	*gethostent();
-struct netent	*getnetbyname();
-struct netent	*getnetbyaddr();
-struct netent	*getnetent();
-struct servent	*getservbyname();
-struct servent	*getservbyport();
-struct servent	*getservent();
-struct protoent	*getprotobyname();
-struct protoent	*getprotobynumber();
-struct protoent	*getprotoent();
-int		 getnetgrent();
-
-int sethostent();
-int endhostent();
-int setnetent();
-int endnetent();
-int setservent();
-int endservent();
-int setprotoent();
-int endprotoent();
-int setnetgrent();
-int endnetgrent();
-int rcmd();
-int rcmd_af();
-int rexec();
-int rexec_af();
-int rresvport();
-int rresvport_af();
-int rresvport_addr();
-int ruserok();
-/* BIND */
-struct hostent	*gethostbyname2();
-void		herror();
-char		*hstrerror();
-/* IPv6 prototype definitons */
-int		getaddrinfo();
-void		freeaddrinfo();
-const char	*gai_strerror();
-int		getnameinfo();
-/* END IPv6 prototype definitions */
-/* End BIND */
-
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-/* IPsec algorithm prototype definitions */
-struct ipsecalgent *getalgbyname();
-struct ipsecalgent *getalgbydoi();
-int getdoidomainbyname();
-const char *getdoidomainbynum();
-void freealgent();
-/* END IPsec algorithm prototype definitions */
-#endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-
-#endif	/* __STDC__ */
-
 /*
  * Error return codes from gethostbyname() and gethostbyaddr()
  * (when using the resolver)
  */
 
+/* h_errno was removed in Issue 7 */
+#if !defined(_STRICT_XPG7)
 extern  int h_errno;
 
 #ifdef	_REENTRANT
-#ifdef	__STDC__
 extern int	*__h_errno(void);
-#else
-extern int	*__h_errno();
-#endif	/* __STDC__ */
 
 /* Only #define h_errno if there is no conflict with other use */
 #ifdef	H_ERRNO_IS_FUNCTION
@@ -466,6 +395,8 @@
 #define	NETDB_SUCCESS	0	/* no problem */
 /* End BIND */
 
+#endif	/* !defined(_STRICT_XPG7) */
+
 #define	MAXHOSTNAMELEN	256
 
 #define	MAXALIASES	35
